io.etcd.jetcd.api

## Interface DeleteRangeResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  DeleteRangeResponse, DeleteRangeResponse.Builder

    public interface DeleteRangeResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getDeleted()` deleted is the number of keys deleted by the delete range request.
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`KeyValue` `getPrevKvs(int index)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`int` `getPrevKvsCount()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`List<KeyValue>` `getPrevKvsList()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`KeyValueOrBuilder` `getPrevKvsOrBuilder(int index)` if prev_kv is set in the request, the previous key-value pairs will be returned.
`List<? extends KeyValueOrBuilder>` `getPrevKvsOrBuilderList()` if prev_kv is set in the request, the previous key-value pairs will be returned.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getDeleted

    long getDeleted()

     deleted is the number of keys deleted by the delete range request.

`int64 deleted = 2;`

Returns:
  The deleted.

#### getPrevKvsList

    List<KeyValue> getPrevKvsList()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### getPrevKvs

    KeyValue getPrevKvs(int index)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### getPrevKvsCount

    int getPrevKvsCount()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### getPrevKvsOrBuilderList

    List<? extends KeyValueOrBuilder> getPrevKvsOrBuilderList()

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`

#### getPrevKvsOrBuilder

    KeyValueOrBuilder getPrevKvsOrBuilder(int index)

     if prev_kv is set in the request, the previous key-value pairs will be returned.

`repeated .mvccpb.KeyValue prev_kvs = 3;`